POST Create a Transaction with Auto Commit

POST /disbursement/v1/transactions

Development Guide

The Create a Transaction with Auto Commit endpoint accepts all data required for transaction from a business partner's system. It validates the data for compliance purposes and automatically executes (auto-commits) the transaction without calling the quote and update APIs. It responds with a transactionId resource, the referenceNumber and the quote information.



1. Prepare headers & authentication:

The application must call the Create a transaction with Auto-Commit' endpoint with a POST HTTP method, providing the OAuth access_token in the header and all other required header values.


Note: MoneyGram uses the OAuth 2.0 framework. The application must use their OAuth client credentials to generate an access_token by calling the Get access token endpoint. The token is valid for 1 hour and must be passed as a header value in all subsequent API HTTP calls. Learn More


🚀

Launch Code Example




2. Provide request body: "Transact by send amount" OR "Transact by receive amount":

The application must use the oneOf Keyword to Create a transaction with auto-commit by send or receive amount. At this point the application also has the option to re-quote the transactionId by entering a different sendAmount.value, serviceOptionCode or destinationCountry.


  • Transact by send amount: The application must provide the following required fields in the request body: targetAudience, agentPartnerId, destinationCountryCode , serviceOptionCode, sendAmount.value, sendAmount.currencyCode, and receiveCurrencyCode.
    OR

  • Transact by receive amount: The application must provide the following required fields in the request body: targetAudience, agentPartnerId, destinationCountryCode , serviceOptionCode, receiveAmount.value, receiveAmount.currencyCode, and sendCurrencyCode

Note:

  • The Create a transaction with auto-commit API uses ISO Standards for country and currency values. MoneyGram provides Reference Data APIs which can be queried to understand the supported values and associated metadata.
  • Additional data collection may be required based on the sendAmountand destinationCountryCode.

🚀

Launch Code Example

.




3. Provide "autoCommit": true in the request body:

For batch transaction the application must provide the "autoCommit": true . This indicates the application wishes to execute the transaction to MoneyGram with out viewing the quote. This model is to be used when processing batch transactions.



🚀

Launch Code Example



4. Provide the sender information in the request body:

The the application must use the oneOf Keyword to provide the sender information. The application can use three oneOf options to provide sender information:

  • Option 1 - businessProfileId: For partner's using a MoneyGram business profile, the applications can provide the MoneyGram businessProfileId. To use this option, the application must first call the Create Business Profile API to create a business profile at MoneyGram and generate a businessProfileId. The businessProfileId is a unique identifier of the business and will last the life time of the account.

    OR


  • Option 2 - partnerBusinessProfileId: For partner's using their own business profile, the application can pass their unique profile identifier in the partnerBusinessProfileId . The application must first call the Create Business Profile API to create a business profile at MoneyGram and pass their unique partnerBusinessProfileId. MoneyGram will associate the partner's identifier with our business profile creation.

    OR


  • Option 3 - business: For partner's using an account-free model, the application can pass all the business sender fields in the business object.

🚀

Launch Code Example

.

.




5. Provide the required Beneficiary fields in the request body:

The the application must use the oneOf Keyword to provide the beneficiary information. The application will use oneOf options to provide beneficiary information while performing a B2C transaction:


  • Option 1 - consumer: For partner's performing a Business-to-Consumer (B2C) transactions, the application can provide consumer details as the beneficiary.


🚀

Launch Code Example




5. Provide the transactionInformation in the request body (optional):

Any required transaction information can be provided in the transactionInformation object.



🚀

Launch Code Example



6. Make a request and handle response:

The application must call the 'Create a transaction with auto-commit' endpoint with a POST HTTP method. The application must build to handle the following response scenarios:


  • Success | Parse the Response | 200 OK HTTP Status
    When the 'Create Transaction with auto-commit' endpoint responds with a 200 HTTP Status the response will typically include the transactionId, serviceOption, sendAmount, sendCurrency, fees, fxRate, discountsApplied and the receiveAmount. In some cases, send or receive side taxes are applied.

  • Failed | Handle the Error | 400 Bad Request HTTP Status
    When the 'Create a transaction with auto-commit' endpoint responds with 400 Bad Request HTTP Status the application cannot proceed. Specific error code/s will be returned with an array of offending fields. The application will need to resolve these errors and resubmit the transaction. The application can make repeated attempts on the 'Create a transaction with auto-commit' endpoint until validation is successful.

Note: In some scenarios, enhanced due diligence needs to be undertaken on the consumer. Specific error code/s will be returned and an array of offending fields. The fields/values must to be provided and resubmitted on the Create a transaction with auto-commit API for further checks.


🚀

Launch Code Example

.




Code Examples


const axios = require('axios');
const { v4: uuidv4 } = require('uuid');

const updateTransaction = async () => {

    // Step 1: Read configuration values with upmost security
    const token = "your_access_token_from_oauth_response"
    // For production - api.moneygram.com & For test - sandboxapi.moneygram.com    
    const host = "sandboxapi.moneygram.com";
    const transactionId = "current_transaction_id";
    const url = 'https://' + host + '/disbursement/v1/transactions';

    // Step 2: Create the PUT request headers & body
    const headers = {
        'Content-Type': 'application/json',
        'X-MG-ClientRequestId': uuidv4(), // New UUID for each request tracing
        'Authorization': 'Bearer ' + token,
    };
    const request = {
        agentPartnerId: "your_partner_id",
        targetAudience: "AGENT_FACING",
        userLanguage: "en-US",
        destinationCountryCode: "USA",
        destinationCountrySubdivisionCode: "US-MN",
        serviceOptionCode: "WILL_CALL",
        autoCommit: true,
        sendAmount: {
            value: 500,
            currencyCode: "USD"
        },
        receiveCurrencyCode: "USD",
        sender: {
            business: {
                businessName: "ACME",
                legalEntityName: "ACME",
                businessRegistrationNumber: "ACME2024",
                businessCountryOfRegistration: "USA",
                address: {
                    line1: "100 Main St",
                    city: "Springfield",
                    countryCode: "USA"
                }
            }
        },
        beneficiary: {
            consumer: {
                name: {
                    firstName: "Sally",
                    lastName: "Smith"
                },
                address: {
                    line1: "200 Main St",
                    city: "Springfield",
                    countryCode: "USA"
                }
            }
        }
    }
    try {
        // Step 3: Send the request and obtain the response
        axios.put(url, request, { headers })
            .then(function (response) {
                // Step 4: Parse the success response and process further
                // Verify readyForCommit is true, if yes, transaction is ready to commit
                console.log(JSON.stringify(response.data, null, 2))
            })
            .catch(function (error) {
                // Step 5: Parse the error response and handle the errors
                if (error.response) {
                    console.log('Response status:', error.response.status);
                    console.log('Response body:', error.response.data);
                } else {
                    // TODO: handle generic errors
                    console.error('Error:', error.message);
                }
            });
    } catch (error) {
        // TODO: handle exception
        console.error('Error:', error.message);
    }
};

updateTransaction();
import requests
import uuid
import json

def update_transaction():

    # Step 1: Read configuration values with upmost security
    token = "your_access_token_from_oauth_response"
    # For production - api.moneygram.com & For test - sandboxapi.moneygram.com    
    host = "sandboxapi.moneygram.com";
    transactionId = "current_transaction_id";
    url = 'https://' + host + '/disbursement/v1/transactions';

    # Step 2: Create the PUT request headers & body
    headers = {
        'Content-Type': 'application/json',
        'X-MG-ClientRequestId': str(uuid.uuid4()), # New UUID for each request tracing
        'Authorization': 'Bearer ' + token,
    }
    request = {
      'agentPartnerId': 'your_partner_id',
      'targetAudience': 'AGENT_FACING',
      'userLanguage': 'en-US',
      'destinationCountryCode': 'USA',
      'destinationCountrySubdivisionCode': 'US-MN',
      'serviceOptionCode': 'WILL_CALL',
      'autoCommit': true,
      'sendAmount': {
          'currencyCode': 'USD',
          'value': 500
      },
      'receiveCurrencyCode': 'USD',
      'sender': {
          'business': {
              'businessName': "ACME",
              'legalEntityName': "ACME",
              'businessRegistrationNumber': "ACME2024",
              'businessCountryOfRegistration': "USA",
                   'address': {
                      'line1': "100 Main St",
                      'city': "Springfield",
                      'countryCode': "USA"
              }
         }
    },
      'beneficiary': {
         'consumer': {
          'name': {
            'firstName': "Sally",
            'lastName': "Smith"
          },
           'address': {
            'line1': "200 Main St",
            'city': "Springfield",
            'countryCode': "USA"
          }
      }
    }
    }
    try:
        # Step 3: Send the request and obtain the response
        response = requests.put(url, json=request, headers=headers)

        # Step 4: Parse the success response and process further
        if response.status_code == 200:
            parsed_response = json.dumps(json.loads(response.text), indent=2)
            print(parsed_response)
        else:
            # Step 5: Parse the error response and handle the errors
            print("Request failed with status code:", response.status_code)
            print(json.dumps(json.loads(response.text), indent=2))

    except requests.exceptions.RequestException as e:
        # Print any error that occurred during the request
        # TODO: handle exception
        print("An error occurred:", e)

update_transaction()
package disbursement;

import javax.json.Json;
import javax.json.JsonObject;
import javax.json.JsonObjectBuilder;
import javax.json.JsonWriter;
import java.io.StringWriter;
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.UUID;

public class UpdateTransaction {

    public static void main(String[] args) {
        // Step 1: Read configuration values with upmost security
        String token = "your_access_token_from_oauth_response";

        // For production - api.moneygram.com & For test - sandboxapi.moneygram.com
        String host = "sandboxapi.moneygram.com";
        String transactionId = "current_transaction_id";
        String tokenEndpoint = "https://" + host + "/disbursement/v1/transactions" 

        // Step 2: Create the PUT request headers & body
        // Create a JSON object
        JsonObjectBuilder sendAmountBuilder = Json.createObjectBuilder()
            .add("value", 500)
            .add("currencyCode", "USD");
        JsonObjectBuilder senderBuilder = Json.createObjectBuilder()
            .add("sender", "business")
            .add("businessName", "ACME")
            .add("legalEntityName", "ACME")
            .add("businessRegistrationNumber", "ACME2024")
            .add("businessCountryOfRegistration", "USA");
        JsonObjectBuilder beneficiaryBuilder = Json.createObjectBuilder()
            .add("beneficiary", "consumer")
            .add("name", Json.createObjectBuilder().add("firstName", "firstName").add("lastName", "lastName"))
            .add("address",Json.createObjectBuilder().add("line1", "line1").add("city", "city").add("countryCode", "countryCode"));
        JsonObjectBuilder requestBuilder = Json.createObjectBuilder()
            .add("agentPartnerId", "your_partner_id")
            .add("targetAudience", "AGENT_FACING")
            .add("userLanguage", "en-US")
            .add("destinationCountryCode", "USA")
            .add("destinationCountrySubdivisionCode", "US-MN")
            .add("serviceOptionCode", "WILL_CALL")
            .add("autoCommit", true)
            .add("sendAmount", sendAmountBuilder)
            .add("receiveCurrencyCode", "USD")
            .add("sender", senderInitiator)
            .add("beneficiary", beneficiaryBuilder);

        JsonObject jsonObject = requestBuilder.build();
        // Create a StringWriter to write the JSON string
        StringWriter stringWriter = new StringWriter();
        try (JsonWriter jsonWriter = Json.createWriter(stringWriter)) {
            jsonWriter.writeObject(jsonObject);
        }
        // Get the JSON string from the StringWriter
        String jsonString = stringWriter.toString();

        HttpClient httpClient = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
                .uri(URI.create(tokenEndpoint))
                .PUT(HttpRequest.BodyPublishers.ofString(jsonString))
                .setHeader("Authorization", "Bearer " + token)
                .setHeader("X-MG-ClientRequestId", String.valueOf(UUID.randomUUID()))
                .build();

        try {
            // Step 3: Send the request and obtain the response
            HttpResponse<String> response = httpClient.send(request, HttpResponse.BodyHandlers.ofString());

            // Retrieve the status code and body from the response
            int statusCode = response.statusCode();

            // Step 4: Parse the success response and process further
            if (statusCode == 200) {
                String responseBody = response.body();
                System.out.println(responseBody);
            } else {
                // Step 5: Parse the error response and handle the errors
                String responseBody = response.body();
                System.out.println(responseBody);
            }
        } catch (Exception e) {
            e.printStackTrace();
            // TODO: handle exception
        }
    }
}




Support APIs

To make your development easier, MoneyGram has provided a Reference Data APIs Module that can be queried to provide a list of supported fields, values and associated meta-data to use in your integration.


NameHTTP MethodEndpointsDescription
Retrieve CountriesGET/reference-data/v1/CountryRetrieves supported values and metadata for countries
Retrieve Countries ISO3GET/reference-data/v1 /countries/{iso3Code}Retrieves supported values and metadata for countries by ISO 3 Code
Retrieve CurrenciesGET/reference-data/v1/currenciesRetrieves supported values and metadata for currencies
Retrieve EnumerationsGET/reference-data/v1/enumerationsRetrieves enumerated values for fields
Retrieve Identification DocumentsGET/reference-data/v1/identification-DocumentsRetrieves required fields for identification documents
Retrieve Service OptionsGET/reference-data/v1/payout-optionsRetrieves supported values and metadata for Service Options



API Structure


Header Parameters

NameTypeRequired /OptionalDescription
X-MG-ClientRequestIdStringRequiredClient Request ID that can be passed by the client application. Client request ID must be unique within a single session for unique requests. This attribute can be used for ensuring idempotent request processing for some APIs. MoneyGram recommends using a UUID for the value of this field.
X-MG-ConsumerIPAddressStringOptionalIP address of the system initiating the session



Request Body Parameters


Body ParameterDescription
transactBySendAmountRequestAutoCommitTransact by send amount
transactByReceiveAmountRequestAutoCommitTransact by receive amount



Request Body Fields

Partner Information, Service Option, Destination, Amounts

FieldTypeRequired
/Optional
Description
targetAudienceStringRequiredTailors MoneyGram’s error messages and field metadata to an in-store, digital, or crypto customer. (Enumerated value)
NOTE: For a full list of accepted target audience values, see the TARGET_AUDIENCE enumeration from the Reference Data Enumerations
agentPartnerIdString
Max length: 8
RequiredUnique identifier for the agent or partner
userLanguageString
Max length: 6
OptionalLanguage used by the user/operator
partnerTransactionIdStringOptionalPartner’s unique identifier for the transaction resource
destinationCountryCodeString
Max length: 3
RequiredTransaction destination country (ISO alpha-3 code)
NOTE: For accepted destination countries and supported destinationCountrySubdivisionCode, see Retrieve Countries ISO3
destinationCountrySubdivisionCodeString
Max length: 6
OptionalDestination state/province, conditionally required when transacting to certain destination countries (ISO alpha-3 code)
NOTE: For accepted destination countries and supported subdivision codes, see Retrieve Countries ISO3
serviceOptionCodeString
Max length: 21
RequiredUnique category code to identify the transaction method
NOTE: For a full list of accepted service option codes per destination country, see the service-options
serviceOptionRoutingCodeString
Max length: 21
OptionalUnique identifier of the individual banking, wallet, or card provider for the service option
NOTE: For a full list of accepted service option codes per destination country, see the service-options
autoCommitBooleanRequiredFlag to indicate the transaction will be committed automatically after creation
sendAmount.valueNumber
Min length: 0
Max length: 14
Max decimal value: 3
RequiredTransaction amount and currency excluding fees and exchange rate
NOTE: For Crypto partners, this is the fiat currency for the BUY/Sell or Ramp-on/Ramp-off
NOTE: For transaction currency codes, see currencies
sendAmount.currencyCodeString
Max length: 3
RequiredThe sendAmount.value currency code (ISO alpha-3 code) for a transactBySendAmountRequest
receiveCurrencyCodeString
Max length: 3
RequiredReceive currency required when transacting to a destination that supports multiple currencies for a transactBySendAmountRequest
receiveAmount.valueNumber
Min length: 0
Max length: 14
Max decimal value: 3
RequiredTransaction receive amount excluding fees and exchange rate for a transactByReceiveAmountRequest
See currencies
receiveAmount.currencyCodeString
Max length: 3
RequiredThe receiveAmount.value currency code (ISO alpha-3 code) for a transactByReceiveAmountRequest
sendCurrencyCodeString
Max length: 3
OptionalReceive currency used when transacting to a destination country that supports more than one currency for a transactByReceiveAmountRequest (ISO alpha-3 code)
promotionCodesString
Max length: 20
OptionalUnique code to apply a promotional discount

Sender oneOf Options:

The sender target="_blank""> "oneOf" options allow the application to collect the business sender information for a transaction using one of three options businessProfileId, partnerBusinessProfileId, or business


Option 1: sender.businessProfileId

FieldTypeRequired
/Optional
Description
sender.businessProfileIdStringOptionalA unique MoneyGram identifier for the business

Option 2: sender.partnerBusinessProfileId

FieldTypeRequired /OptionalDescription
sender.partnerBusinessProfileIdStringOptionalThe partner’s business profile ID that will be passed from the partner and mapped to the MoneyGram business profile ID

Option 3: sender.business

FieldTypeRequired
/Optional
Description
sender.business.partnerBusinessProfileIdStringOptionalPartner’s business profile ID that will be passed from the partner and mapped to the MoneyGram profile ID
sender.business.businessNameString
Min length: 1
Max length: 100
RequiredName of the business
sender.business.legalEntityNameString
Min length: 1
Max length: 100
RequiredThe legal name of the business
sender.business.businessTypeStringOptionalType of business
(Enumerated Values)
sender.business.businessRegistrationNumberStringRequiredBusiness registration number
sender.business.businessIssueDateStringOptionalDate of business formation
sender.business.businessCountryOfRegistrationString
Min length: 1
Max length: 20
RequiredBusiness’s country of registration
sender.business.address.line1String
Min length: 5
Max length: 30
RequiredResidence address line 1
sender.business.address.line2String
Min length: 0
Max length: 30
OptionalResidence address line 2 (if applicable)
sender.business.address.line3String
Min length: 0
Max length: 30
OptionalResidence address line 3 (if applicable)
sender.business.address.cityString
Min length: 1
Max length: 20
RequiredBusiness city
sender.business.address.countryCodeString
Length: 3
RequiredCountry of residence (ISO Alpha-3 code)
sender.business.address.countrySubdivisionCodeString
Length: 6
OptionalState/province of business
sender.business.address.postalCodeString
Min length: 2
Max length: 6
OptionalPostal code/ZIP of business
sender.business.contactDetails.emailString
Min length: 1
Max length: 255
OptionalEmail address
sender.business.contactDetails.phone.numberString
Min length: 5
Max length: 14
OptionalBusiness phone number
sender.business.contactDetails.phone.countryDialCodeString
Min length: 1
Max length: 3
OptionalCountry calling code
NOTE: For country calling codes, see Reference Data API /countries endpointphoneDialCodes

Beneficiary oneOf Options:

The beneficiary \"oneOf\" options allow the application to collect the beneficiary information for a transaction using one of two different options business, or consumer.


Option 1: beneficiary.consumer

FieldTypeRequired
/Optional
Description
beneficiary.consumer.name.firstNameString
Min length: 1
Max length: 20
RequiredFirst Name
beneficiary.consumer.name.middleNameString
Min length: 1
Max length: 20
OptionalMiddle Name (if applicable)
beneficiary.consumer.name.lastNameString
Min length: 1
Max length: 30
RequiredLast Name
beneficiary.consumer.name.secondLastNameString
Min length: 1
Max length: 30
OptionalSecond Last Name
beneficiary.consumer.address.line1String
Min length: 5
Max length: 30
OptionalResidence address line 1
beneficiary.consumer.address.line2String
Min length: 0
Max length: 30
OptionalResidence address line 2 (if applicable)
beneficiary.consumer.address.line3String
Min length: 0
Max length: 30
OptionalResidence address line 3 (if applicable)
beneficiary.consumer.address.cityString
Min length: 0
Max length: 20
RequiredCity of residence
beneficiary.consumer.address.countrySubdivisionCodeString
Max length: 6
OptionalState/province of residence.
NOTE: For a full list of accepted countries and supported destination country subdivision codes see Reference Data API Module: Retrieve Countries ISO3 endpoint
beneficiary.consumer.address.countryCodeString
Max length: 3
RequiredCountry of residence.
NOTE: For a full list of accepted countries and supported destination country subdivision codes see Reference Data API Module: Retrieve Countries ISO3 endpoint
beneficiary.consumer.address.postalCodeString
Min length: 2
Max length: 6
OptionalPostal code/ZIP of residence
beneficiary.consumer.mobilePhone.numberString
Min length: 5
Max length: 14
OptionalPhone number
beneficiary.consumer.mobilePhone.countryDialCodeString
Min length: 1
Max length: 5
OptionalCountry calling code (ISO alpha-3 code)

Transactional Information

FieldTypeRequired
/Optional
Description
transactionInformation.purposeOfTransactionCodeString
Min length: 0
Max length: 30
OptionalExplanation or reason for transferring funds (Enumerated Values)
NOTE: For a full list of accepted purpose of transaction values, see the PURPSE_OF_TRNSCTION enumeration from the Reference Data Enumerations endpoint
transactionInformation.sourceOfFundsCodeString
Min length: 0
Max length: 30
OptionalDeclaration of where the transaction funds were sourced.
NOTE: For a full list of accepted source of funds values, see the SOURCE_OF_FUNDS enumeration from the Reference Data Enumerations endpoint
transactionInformation.proofOfFundsCodeString
Min length: 0
Max length: 30
OptionalProof of where the transaction funds were sourced (Enumerated Values)
NOTE: For a full list of accepted proof of funds values, see the PROOF_OF_FUNDS enumeration from the Reference Data Enumerations endpoint
transactionInformation.intendedUseOfMGIServicesCodeString
Min length: 0
Max length: 30
OptionalExplanation for using MoneyGram service (Enumerated Values)
NOTE: For a full list of accepted use of MGI services values, see the TYPICAL_USE_OF_MGI enumeration from the Reference Data Enumerations endpoint

Attachments

FieldTypeRequired
/Optional
Description
attachments.nameString
Min length: 1
Max length: 100
OptionalName of the attachment
attachments.TypeStringOptionalType of attachment (Enumerated Values)
• invoice
• purchase_order
• delivery_slip
• contract
• customs_declaration
• bill_of_landing
• bank_statement
• tax_return
• financial_statement
• loan_agreement
• grant_approval
attachments.typeCategoryStringOptionalCategory of the attachment (Enumerated Values)
• purposeOfTransaction
• sourceOfFunds
• proofOfFund
• proofOfAddress
attachments.fileStringOptionalThe file to be uploaded


Additional Details

FieldTypeRequired
/Optional
Description
additionalDetailsDynamicOptionalDynamic field key/values for the transaction



Response Fields

FieldTypeRequired
/Optional
Description
transactionIdString
Max length: 36
OptionalUnique identifier for the transaction resource
partnerTransactionIdStringOptionalPartners Unique identifier for the transaction resource
businessProfileIdStringRequiredBusiness's unique MoneyGram identifier
serviceOptionNameString
Max length: 40
RequiredConsumer facing name to identify the transaction method
serviceOptionRoutingNameStringRequiredUnique identifier of the individual banking, wallet, or card provider for the service option.
referenceNumberStringRequiredMoneyGram's unique reference number, only for autoCommit=true
expectedPayoutDateStringRequiredExpected payout date (Example value - YYYY-MM-DD), only for autoCommit=true
sendAmount.amount.valueNumber Min length: 0 Max length: 14 Max decimal Value: 3RequiredTransaction amount and currency excluding fees and exchange rate. Transaction Currency (ISO alpha-3 code)
For Crypto partners this is the fiat currency for the BUY/Sell or Ramp-on/Ramp-off
sendAmount.amount.currencyCodeStringRequiredThe sendAmount.amount.value currency code (ISO alpha-3 code)
sendAmount.fees.valueNumber Min length: 0 Max length: 14 Max decimal Value: 3RequiredFee Amount and Fee Currency applied to transaction (Fee currencyCode uses ISO alpha-3 code)
sendAmount.fees.currencyCodeStringRequiredThe sendAmount.fees.value currency code (ISO alpha-3 code)
sendAmount.taxes.valueNumber Min length: 0 Max length: 14 Max decimal Value: 3OptionalTax Amount and Tax Currency applied to the Transaction by the the origin country (Tax currencyCode uses ISO alpha-3 code)
sendAmount.taxes.currencyCodeStringOptionalThe sendAmount.taxes.value currency code (ISO alpha-3 code)
sendAmount.additionalCharges.typeCodeStringOptionalCode to indicate if the fee is to be collected by MoneyGram or the partner
sendAmount.additionalCharges.labelStringOptionalConsumer facing name to identify the charge type
sendAmount.additionalCharges.valueNumber Min length: 0 Max length: 14 Max decimal Value: 3OptionalAdditional fee's amount
sendAmount.additionalCharges.currencyCodeStringOptionalThe sendAmount.additionalCharges.valuecurrency code (ISO alpha-3 code)
sendAmount.discountsApplied.totalDiscount.valueNumber Min length: 0 Max length: 14 Max decimal Value: 3OptionalTransaction discount amount applied and currency type excluding fees and exchange rate. Transaction discount currencyCode (ISO alpha-3 code)
sendAmount.discountsApplied.totalDiscount.currencyCodeStringOptionalThe sendAmount.discountsApplied.totalDiscount.valuecurrency code (ISO alpha-3 code)
sendAmount.discountsApplied.promotionDetails.codeString
Min length: 0
Max length: 14
OptionalAdditional Details about the applied promotion to the transaction. currencyCode (ISO alpha-3 code)
sendAmount.discountsApplied.promotionDetails.discount.amount.valueNumber Min length: 0 Max length: 14 Max decimal Value: 3OptionalThe transaction's total discount applied.
sendAmount.discountsApplied.promotionDetails.discount.currencyCodeStringOptionalThe sendAmount.discountsApplied.promotionDetails.discount.amount.valuecurrency code (ISO alpha-3 code)
sendAmount.discountsApplied.promotionDetails.errorCodeStringOptionalError code defined by MoneyGram
sendAmount.discountsApplied.promotionDetails.errorMessageStringOptionalError message associated with the error code
sendAmount.total.valueNumber Min length: 0 Max length: 14 Max decimal Value: 3RequiredTransaction Total Amount and Transaction Total Currency including fees, taxes and discount. (Total currencyCode uses ISO alpha-3 code)
sendAmount.total.currencyCodeStringRequiredThe sendAmount.amount.value currency code (ISO alpha-3 code)
receiveAmount.amount.valueNumber Min length: 0 Max length: 14 Max decimal Value: 3RequiredTransaction Received Amount and Transaction Receive currency. (Receive amount currencyCode uses ISO alpha-3 code)
receiveAmount.amount.currencyCodeStringRequiredThe receiveAmount.amount.value currency code (ISO alpha-3 code)
receiveAmount.fees.valueNumber Min length: 0 Max length: 14 Max decimal Value: 3OptionalReceived Fee and Receive Currency applied to the transaction by the destination country. (Receve fee currencyCode uses ISO alpha-3 code)
receiveAmount.fees.currencyCodeStringOptionalThe receiveAmount.fees.value currency code (ISO alpha-3 code)
receiveAmount.additionalCharges.typeCodeStringOptionalCode to indicate if the fee is to be collected by MoneyGram or the partner
receiveAmount.additionalCharges.labelStringOptionalConsumer facing name to identify the charge type
receiveAmount.additionalCharges.valueNumber Min length: 0 Max length: 14 Max decimal Value: 3OptionalAdditional fee's amount
receiveAmount.additionalCharges.currencyCodeStringOptionalThe receiveAmount.additionalCharges.value currency code (ISO alpha-3 code)
receiveAmount.taxes.valueNumber Min length: 0 Max length: 14 Max decimal Value: 3OptionalTax Amount and Tax Currency applied to the Transaction by the the origin country. (Receive taxes currencyCode uses ISO alpha-3 code)
receiveAmount.taxes.currencyCodeStringOptionalThe receiveAmount.taxes.value currency code (ISO alpha-3 code)
receiveAmount.total.valueNumber Min length: 0 Max length: 14 Max decimal Value: 3RequiredReceive Amount Total and Receive Transaction Currency to be picked-up/deposited in destination country including fees, taxes and discount (Receive total currencyCode uses ISO alpha-3 code)
receiveAmount.total.currencyCodeStringRequiredThe receiveAmount.total.value currency code (ISO alpha-3 code)
receiveAmount.fxRateNumber
String
Min length: 0
Max length: 14
RequiredFx Rate applied to transaction
receiveAmount.fxRateEstimatedBooleanOptionalIndicates whether the Fx is “estimated” and amount, taxes and total cannot be guaranteed. The word “estimated” must appear before receiveAmount.amount, receiveAmount.taxes and receiveAmount.total only when true.
attachmentList.attachmentIdStringOptionalMoneyGram unique attachment Id
attachmentlist.filteTypeStringOptionalUploaded file type (pdf, png, bmp, jpg, docx, xlsx)
attachmentList.nameStringOptionalUploaded file Name
attachmentList.typeCategoryStringOptionalAttachment type category
-purposeOfTransaction
-sourceOfFunds
-proofOfFund
-proofOfAddress)
attachmentList.typeStringOptionalDocument type
Examples:
-invoice
-bank_statement
-loan_agreement

Did this page help you?